Start a new topic

Older version of Triumph

Reinstalled my os x Mavericks and I can't find older version of Triumph since the recent one doesn't seem to be working on Mavericks...Help:)

Right, I need an older version of Spectre... same problem: nowhere to be found... (I auto-updated and then discovered that the new version won't run on OS 10.10... it needs 10.11.)

I added some download buttons to the home page, including multiple versions for multiple macOS versions. That should make it easier to find them!

2 people like this
Login or Signup to post a comment